Subject: Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

From: Elijah Gabe Pérez <[email-masked]>
Date: Wed, 16 Apr 2025 22:28:15 -0600

Stefan Monnier writes:

> In any case, the above is equivalent to just removing the `(and empty
> block-comment-start/end)` because `comment-start/end` should never be
> nil anyway, so it's probably worthwhile thinking about what we want to
> do with `block-comment-start/end` here.
> Maybe "nothing" is the right answer, of course.

block-comment-start/end have been unused for almost 20 years,
comment-start/end had already replaced them ofc.  So, I think block-comment
variables should no longer be used to indent comments (as it seems that it
was planned), instead use them for other purposes, give them a "new life".